# Uses of Class
org.eclipse.core.resources.mapping.RemoteResourceMappingContext

Packages that use RemoteResourceMappingContext
Package
Description
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.

## Uses of RemoteResourceMappingContext in org.eclipse.team.core.subscribers

Subclasses of RemoteResourceMappingContext in org.eclipse.team.core.subscribers
Modifier and Type
Class
Description
`class`
`SubscriberResourceMappingContext`
A resource mapping context that provides the client access to the remote state of local resources using a subscriber.
Methods in org.eclipse.team.core.subscribers that return RemoteResourceMappingContext
Modifier and Type
Method
Description
`static RemoteResourceMappingContext`
SubscriberResourceMappingContext.`createContext(Subscriber subscriber)`
Return a resource mapping context suitable for comparison operations.
Constructors in org.eclipse.team.core.subscribers with parameters of type RemoteResourceMappingContext
Modifier
Constructor
Description
``
`SubscriberScopeManager(String name, ResourceMapping[] inputMappings, Subscriber subscriber, RemoteResourceMappingContext context, boolean consultModels)`
Create a manager for the given subscriber and input.